%define name lcc
%define version 4.1
%define release 4mdk

Summary: LCC C Compiler
Name: %{name}
Version: %{version}
Release: %{release}
Group: Development/C
Source0: lcc-4.1.tar.bz2
Patch: lcc.patch.bz2
Packager: Brad Dixon (gt5392c@prism.gatech.edu)
Copyright: Free for non-comercial use
Buildroot: /var/tmp/%{name}-buildroot

%description
LCC is a retargetable compiler for ISO Standard C. It generates code for the
ALPHA, SPARC, MIPS R3000, and Intel x86 and its successors.

%prep
rm -rf $RPM_BUILD_ROOT

%setup

%patch0 -p1

%build
export BUILDDIR=x86/linux
export LCCDIR=/usr/lib/lcc-4.1
make HOSTFILE=etc/linux.c all


%install
install -m 755 -d $RPM_BUILD_ROOT/usr/lib/%{name}-%{version}/include/
cp -r include/x86/linux/* $RPM_BUILD_ROOT/usr/lib/%{name}-%{version}/include/
cp x86/linux/rcc $RPM_BUILD_ROOT/usr/lib/%{name}-%{version}/
#cp x86/linux/cpp  $RPM_BUILD_ROOT/usr/lib/%{name}-%{version}/
cp x86/linux/liblcc.a  $RPM_BUILD_ROOT/usr/lib/%{name}-%{version}/

install -m 755 -d $RPM_BUILD_ROOT/usr/bin
cp x86/linux/lcc  $RPM_BUILD_ROOT/usr/bin/
cp x86/linux/lburg $RPM_BUILD_ROOT/usr/bin/
cp x86/linux/bprint $RPM_BUILD_ROOT/usr/bin/

install -m 755 -d $RPM_BUILD_ROOT/usr/man/man1
cp doc/bprint.1 $RPM_BUILD_ROOT/usr/man/man1/
cp doc/lcc.1 $RPM_BUILD_ROOT/usr/man/man1/
cp lburg/lburg.1 $RPM_BUILD_ROOT/usr/man/man1/

#install -m 755 -d  $RPM_BUILD_ROOT/usr/lib/%{name}-%{version}/gcc
#install -m 755 x86/linux/cpp $RPM_BUILD_ROOT/usr/lib/%{name}-%{version}/gcc/

%post

GCCVERSION=$(/usr/bin/gcc --version)
ln -sf /usr/lib/gcc-lib/i586-mandrake-linux/$GCCVERSION/include/stddef.h \
	$RPM_BUILD_ROOT/usr/lib/%{name}-%{version}/include/stddef.h
ln -sf /usr/lib/gcc-lib/i586-mandrake-linux/$GCCVERSION/include/stdio.h \
    $RPM_BUILD_ROOT/usr/lib/%{name}-%{version}/include/stdio.h  
ln -sf /usr/lib/gcc-lib/i586-mandrake-linux/$GCCVERSION \
	$RPM_BUILD_ROOT/usr/lib/%{name}-%{version}/gcc

%postun
rm -rf /usr/lib/%{name}-%{version}/include/
rm -rf /usr/lib/%{name}-%{version}/gcc/

%files
%defattr (-,root,root)
%doc CPYRIGHT LOG README packing.lst doc
%dir /usr/lib/%{name}-%{version}/
%dir /usr/lib/%{name}-%{version}/include/
#%dir /usr/lib/%{name}-%{version}/gcc/
/usr/bin/lcc
/usr/bin/lburg
/usr/bin/bprint
/usr/lib/%{name}-%{version}/rcc
/usr/lib/%{name}-%{version}/liblcc.a
/usr/lib/%{name}-%{version}/include/*
#/usr/lib/%{name}-%{version}/gcc/*
/usr/man/man1/*

%changelog
* Tue May 02 2000 Lenny Cartier <lenny@mandrakesoft.com> 4.1-4mdk
- bzip2 patch


* Wed Apr 05 2000 Lenny Cartier <lenny@mandrakesoft.com> 4.1-3mdk
- patch linux.c to reflect directory changes
- add cpp
- add post section to make symlinks to gcc directory without version problem

* Tue Apr 04 2000 Lenny Cartier <lenny@mandrakesoft.com> 4.1-2mdk
- fix file section

* Wed Mar 08 2000 Lenny Cartier <lenny@mandrakesoft.com>
- mandrake build
- v4.1
